org.eclipse.ecf.provider.dnssd

## Class DnsSdServiceID

- java.lang.Object
- - org.eclipse.ecf.core.identity.BaseID
  - - org.eclipse.ecf.discovery.identity.ServiceID
    - - org.eclipse.ecf.provider.dnssd.DnsSdServiceID

All Implemented Interfaces:
  Serializable, Comparable, Principal, org.eclipse.core.runtime.IAdaptable, ID, IServiceID

    public class DnsSdServiceID
    extends ServiceID

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.eclipse.ecf.discovery.identity.ServiceID

`location, serviceInfo, type`

### Fields inherited from class org.eclipse.ecf.core.identity.BaseID

`namespace`

### Constructor Summary

Constructors
`protected` `DnsSdServiceID(Namespace namespace, IServiceTypeID type, URI anUri)`

### Method Summary

### Methods inherited from class org.eclipse.ecf.discovery.identity.ServiceID

`equals, getFullyQualifiedName, getLocation, getServiceInfo, getServiceName, getServiceType, getServiceTypeID, hashCode, namespaceCompareTo, namespaceEquals, namespaceGetName, namespaceHashCode, setServiceInfo, toString`

### Methods inherited from class org.eclipse.ecf.core.identity.BaseID

`compareTo, getAdapter, getName, getNamespace, namespaceToExternalForm, toExternalForm`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.ecf.core.identity.ID

`getName, getNamespace, toExternalForm`

### Methods inherited from interface java.lang.Comparable

`compareTo`

### Methods inherited from interface java.security.Principal

`implies`

### Methods inherited from interface org.eclipse.core.runtime.IAdaptable

`getAdapter`

### Constructor Detail

#### DnsSdServiceID

    protected DnsSdServiceID(Namespace namespace,
                             IServiceTypeID type,
                             URI anUri)